# ApplicationFramework
TKPShape
PBRep

# PBRep_CurveOnClosedSurface Class Reference

`#include <PBRep_CurveOnClosedSurface.hxx>`

Inheritance diagram for PBRep_CurveOnClosedSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PBRep_CurveOnClosedSurface (const Handle(PGeom2d_Curve)&PC1, const Handle(PGeom2d_Curve)&PC2, const Standard_Real CF, const Standard_Real CL, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L, const GeomAbs_Shape C)
| CF is curve first parameter CL is curve last parameter The two curves are SameParameter. As far as they can't be computed from a Persistent Curve they are given in the CurveOnClosedSurface constructor .
Standard_EXPORT Handle_PGeom2d_Curve | PCurve2 () const
Standard_EXPORT GeomAbs_Shape | Continuity () const
virtual Standard_EXPORT Standard_Boolean | IsCurveOnClosedSurface () const
| Returns True. .
virtual Standard_EXPORT Standard_Boolean | IsRegularity () const
| Returns True .
Standard_EXPORT void | SetUVPoints2 (const gp_Pnt2d &Pnt1, const gp_Pnt2d &Pnt2)
Standard_EXPORT gp_Pnt2d | FirstUV2 () const
Standard_EXPORT gp_Pnt2d | LastUV2 () const
| PBRep_CurveOnClosedSurface ()
| PBRep_CurveOnClosedSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_Curve) _CSFDB_GetPBRep_CurveOnClosedSurfacemyPCurve2() const
void | _CSFDB_SetPBRep_CurveOnClosedSurfacemyPCurve2 (const Handle(PGeom2d_Curve)&p)
GeomAbs_Shape | _CSFDB_GetPBRep_CurveOnClosedSurfacemyContinuity () const
void | _CSFDB_SetPBRep_CurveOnClosedSurfacemyContinuity (const GeomAbs_Shape p)
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnClosedSurfacemyUV21 () const
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnClosedSurfacemyUV22 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom2d_Curve | myPCurve2
GeomAbs_Shape | myContinuity
gp_Pnt2d | myUV21
gp_Pnt2d | myUV22

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_CurveOnClosedSurface::PBRep_CurveOnClosedSurface | ( | const Handle(PGeom2d_Curve)& | PC1,
|  | const Handle(PGeom2d_Curve)& | PC2,
|  | const Standard_Real | CF,
|  | const Standard_Real | CL,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L,
|  | const GeomAbs_Shape | C
| ) |

PBRep_CurveOnClosedSurface::PBRep_CurveOnClosedSurface | ( |  | ) | `[inline]`

PBRep_CurveOnClosedSurface::PBRep_CurveOnClosedSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

GeomAbs_Shape PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyContinuity | ( |  | ) | const`[inline]`

const gp_Pnt2d& PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyUV21 | ( |  | ) | const`[inline]`

const gp_Pnt2d& PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyUV22 | ( |  | ) | const`[inline]`

void PBRep_CurveOnClosedSurface::_CSFDB_SetPBRep_CurveOnClosedSurfacemyContinuity | ( | const GeomAbs_Shape | p | ) | `[inline]`

void PBRep_CurveOnClosedSurface::_CSFDB_SetPBRep_CurveOnClosedSurfacemyPCurve2 | ( | const Handle(PGeom2d_Curve)& | p | ) | `[inline]`

Standard_EXPORT GeomAbs_Shape PBRep_CurveOnClosedSurface::Continuity | ( |  | ) | const

Standard_EXPORT gp_Pnt2d PBRep_CurveOnClosedSurface::FirstUV2 | ( |  | ) | const

Standard_EXPORT const PBRep_CurveOnClosedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_CurveOnSurface.

PBRep_CurveOnClosedSurface::Handle | ( | PGeom2d_Curve |  | ) | const`[inline]`

| Reimplemented from PBRep_CurveOnSurface.

virtual Standard_EXPORT Standard_Boolean PBRep_CurveOnClosedSurface::IsCurveOnClosedSurface | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

virtual Standard_EXPORT Standard_Boolean PBRep_CurveOnClosedSurface::IsRegularity | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT gp_Pnt2d PBRep_CurveOnClosedSurface::LastUV2 | ( |  | ) | const

Standard_EXPORT Handle_PGeom2d_Curve PBRep_CurveOnClosedSurface::PCurve2 | ( |  | ) | const

Standard_EXPORT void PBRep_CurveOnClosedSurface::SetUVPoints2 | ( | const gp_Pnt2d & | Pnt1,
|  | const gp_Pnt2d & | Pnt2
| ) |

## Field Documentation

GeomAbs_Shape PBRep_CurveOnClosedSurface::myContinuity `[private]`

Handle_PGeom2d_Curve PBRep_CurveOnClosedSurface::myPCurve2 `[private]`

gp_Pnt2d PBRep_CurveOnClosedSurface::myUV21 `[private]`

gp_Pnt2d PBRep_CurveOnClosedSurface::myUV22 `[private]`

The documentation for this class was generated from the following file:

- PBRep_CurveOnClosedSurface.hxx